콘텐츠로 건너뛰기

Meshy 6 Retexture

통합

모델 id meshy/v6/retexture
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v6/retexture?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.30 300 API 크레딧 이 페이지에서 실행

API 키 받기
Meshy 3D 4K 출력 #3d#3d-to-3d#textures#pbr

텍스트 프롬프트 또는 스타일 이미지로 업로드된 3D 모델을 리텍스처링하며 선택적 PBR 맵과 최대 8k 텍스처 지원

Meshy · 3D

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

texture_resolution 기본값 2k

기본 색상 해상도는 2k (2048), 4k (4096), 8k (8192)입니다. 8k를 선택하면 PBR 맵이 4k로 제한되고 emission 맵이 생략됩니다. 8k와 4k는 Meshy 6 또는 7에서만 사용할 수 있습니다.

•필수

텍스처링할 3D 모델 소스입니다. 공개적으로 액세스 가능한 URL 또는 application/octet-stream을 MIME 유형으로 사용하는 base64 data URI로 제공합니다. 허용되는 파일 확장자는 .glb, .gltf, .obj, .fbx, .stl입니다.

고급 text_style_prompt · image_style_url · enable_original_uv · enable_pbr · enable_safety_checker
0 / 600

image_style_url이 없는 경우 필요한 텍스처 스타일 텍스트이며 600자로 제한됩니다.

파일을 끌어다 놓거나

image_style_url로 제공하면 text_style_prompt보다 우선하는 2D 텍스처링 가이드입니다. text_style_prompt가 없으면 이 이미지를 제공해야 합니다. 지원되는 파일 형식은 .jpg, .jpeg, .png입니다.

POST /run/meshy/v6/retexture?wait=20 견적 → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v6/retexture?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model_url": "https://example.com/your-file.glb"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Meshy 6 Retexture 정보

기존 메시(.glb, .gltf, .obj, .fbx 또는 .stl)의 표면 텍스처를 교체합니다. 스타일은 `text_style_prompt`(최대 600자) 또는 `image_style_url`에서 가져오며 둘 다 제공하면 후자가 우선합니다. `texture_resolution`은 2k, 4k 또는 8k이고, `enable_pbr`은 metallic, roughness, normal 맵을 추가하며 `enable_original_uv`는 모델의 UV 배치를 유지합니다. GLB, 기타 형식, 텍스처와 썸네일을 반환합니다.

매개변수

이름유형 기본값허용됨 설명
model_url필수
유형string
텍스처링할 3D 모델 소스입니다. 공개적으로 액세스 가능한 URL 또는 application/octet-stream을 MIME 유형으로 사용하는 base64 data URI로 제공합니다. 허용되는 파일 확장자는 .glb, .gltf, .obj, .fbx, .stl입니다.
text_style_prompt선택 사항
유형string | null
≤ 600자
image_style_url이 없는 경우 필요한 텍스처 스타일 텍스트이며 600자로 제한됩니다.
image_style_url선택 사항
유형url · image
image_style_url로 제공하면 text_style_prompt보다 우선하는 2D 텍스처링 가이드입니다. text_style_prompt가 없으면 이 이미지를 제공해야 합니다. 지원되는 파일 형식은 .jpg, .jpeg, .png입니다.
texture_resolution선택 사항
유형enum
기본값2k
2k4k8k
기본 색상 해상도는 2k (2048), 4k (4096), 8k (8192)입니다. 8k를 선택하면 PBR 맵이 4k로 제한되고 emission 맵이 생략됩니다. 8k와 4k는 Meshy 6 또는 7에서만 사용할 수 있습니다.
enable_original_uv선택 사항
유형boolean
기본값true
이 옵션을 활성화하면 UV를 다시 생성하지 않고 유지합니다. 원본 UV 매핑이 없는 모델에서 활성화하면 품질이 저하될 수 있습니다.
enable_pbr선택 사항
유형boolean
기본값false
기본 색상과 함께 metallic, roughness, normal PBR 맵을 생성할지 제어합니다.
enable_safety_checker선택 사항
유형boolean
기본값true
전처리 안전 검사 스위치입니다. true이면 처리를 위한 사전 조건으로 입력 안전 검사를 수행합니다.
필수

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "meshy/v6/retexture",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "model_url": "https://example.com/your-file.glb"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "blend": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "stl": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "texture_urls": [
      {
        "base_color": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "metallic": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "normal": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        },
        "roughness": {
          "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
          "content_type": "image/jpeg",
          "file_name": "0-output.jpeg",
          "file_size": 1843200
        }
      }
    ],
    "text_style_prompt": "red and black chest",
    "image_style_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
model_glb
object {url, content_type, file_name, file_size}업데이트된 텍스처가 적용된 GLB 형식 3D 객체입니다.
thumbnail
object {url, content_type, file_name, file_size} | null재텍스처링 후 모델의 미리보기를 보여 주는 썸네일입니다.
model_urls
object {glb, fbx, obj, usdz, blend, stl}다양한 형식의 3D 모델 링크입니다.
texture_urls
array of object {base_color, metallic, normal, roughness}객체 배열로 표현된 텍스처 파일입니다.
text_style_prompt
string | null제공된 경우 사용된 텍스처링 프롬프트입니다.
image_style_url
string | null제공된 경우 사용된 텍스처링 이미지의 URL입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/meshy/v6/retexture.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt